<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">

		<link type="text/css" rel="stylesheet" href="../../../build/fonts/fonts.css">
		<link type="text/css" rel="stylesheet" href="../../../build/reset/reset.css">
		
		<script type="text/javascript" src="../../../build/yahoo/yahoo.js"></script>
		<script type="text/javascript" src="../../../build/event/event.js" ></script>
		<script type="text/javascript" src="../../../build/dom/dom.js" ></script>

		<script type="text/javascript" src="../../../build/calendar/calendar.js"></script>
		<link type="text/css" rel="stylesheet" href="../../../build/calendar/assets/calendar.css">

		<style>
			.yui-calendar td.sunday { background-color:#999; }
		</style>

		<script>
				YAHOO.namespace("example.calendar");

				function init() {
					YAHOO.example.calendar.cal1 = new YAHOO.widget.CalendarGroup("cal1","cal1Container", 
																			    { pagedate:"2/2008" } );

					YAHOO.example.calendar.cal1.addRenderer("2/29", YAHOO.example.calendar.cal1.renderBodyCellRestricted);
					YAHOO.example.calendar.cal1.addRenderer("2/1/2008-2/7/2008", YAHOO.example.calendar.cal1.renderCellStyleHighlight1);

					var myCustomRenderer = function(workingDate, cell) {
						cell.innerHTML = "X";
						YAHOO.util.Dom.addClass(cell, "sunday");
						return YAHOO.widget.Calendar.STOP_RENDER;
					}
					YAHOO.example.calendar.cal1.addWeekdayRenderer(1, myCustomRenderer);

					YAHOO.example.calendar.cal1.render();
				}

				YAHOO.util.Event.addListener(window, "load", init);
		</script>

	</head>
	<body>
		<div id="cal1Container"></div>
	</body>
</html>